<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
if ( isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
############################################################################
/***************************** Version 20180321 ***************************/
// V2 Added $mapPath and $leftMargin to Settings
$standAlone	= true;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NOAA NWS Area Hazards"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NOAA NWS Hourly Roundups by Site');
	$showGizmo = true;  // set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NOAA NWS Hourly Roundups by Site';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
/******************************* Settings *********************************/
$divWidth = 656; // Narrow style width
// Enter Default Station
$wfo = "NE";
/* Choose ONLY one of the following two or three letter codes to set the default $wfo code:
	"ALY"=>"Albany, NY",
	"ABQ"=>"Albuquerque, NM",
	"AK"=>"Anchorage, AK",
	"EWX"=>"Austin/San Antonio, TX",
	"LWX"=>"Baltimore MD/Washington, DC",
	"BGM"=>"Binghamton, NY",
	"AL"=>"Birmingham, AL",
	"BIS"=>"Bismarck, ND",
	"ID"=>"Boise, ID",
	"BOX"=>"Boston, MA",
	"BTV"=>"Burlington, VT",
	"CHS"=>"Charleston, SC",
	"RLX"=>"Charleston, WV",
	"WY"=>"Cheyenne, WY",
	"IL"=>"Chicago, IL",
	"CLE"=>"Cleveland, OH",
	"CAE"=>"Columbia, SC",
	"CO"=>"Denver, CO",
	"IA"=>"Des Moines, IA",
	"MI"=>"Detroit, MI",
	"EKA"=>"Eureka, CA",
	"FWD"=>"Fort Worth, TX",
	"GGW"=>"Glasgow, MT",
	"GLD"=>"Goodland, KS",
	"FGF"=>"Grand Forks, ND",
	"GYX"=>"Gray, ME",
	"MT"=>"Great Falls, MT",
	"GRB"=>"Green Bay, WI",
	"GUM"=>"Guam",
	"HFO"=>"Honolulu, HI",
	"HUN"=>"Huntsville, AL",
	"IN"=>"Indianapolis, IN",
	"MS"=>"Jackson, MS",
	"JKL"=>"Jackson, KY",
	"EAX"=>"Kansas City, MO",
	"KEY"=>"Key West, FL",
	"LCH"=>"Lake Charles, LA",
	"LZK"=>"Little Rock, AR",
	"CA"=>"Sacramento, CA",
	"KY"=>"Louisville, KY",
	"LUB"=>"Lubbock, TX",
	"MLB"=>"Melbourne, FL",
	"MEG"=>"Memphis, TN",
	"MAF"=>"Midland, TX",
	"WI"=>"Milwaukee, WI",
	"MOB"=>"Mobile, AL (41)",
	"OHX"=>"Nashville, TN",
	"LIX"=>"New Orleans/Baton Rouge, LA",
	"MHX"=>"Newport, NC",
	"IWX"=>"Northern Indiana, IN",
	"OK"=>"Norman, OK",
	"NE"=>"Omaha, NE",
	"GA"=>"Peachtree City, GA",
	"PDT"=>"Pendleton, OR",
	"PHI"=>"Philadelphia, PA",
	"AZ"=>"Phoenix, AZ",
	"OR"=>"Portland, OR",
	"RAH"=>"Raleigh, NC",
	"NV"=>"Reno, NV",
	"STO"=>"Sacramento, CA",
	"UT"=>"Salt Lake, UT",
	"SJT"=>"San Angelo, TX",
	"SGX"=>"San Diego, CA",
	"PR"=>"San Juan, PR",
	"WA"=>"Seattle, WA",
	"SHV"=>"Shreveport, LA",
	"FSD"=>"Sioux Falls, SD",
	"OTX"=>"Spokane, WA (198)",
	"CTP"=>"State College, PA",
	"MO"=>"Springfield, MO",
	"TBW"=>"Tampa Bay, FL",
	"KS"=>"Topeka, KS",
	"MN"=>"Twin Cities, MN",
	"OKX"=>"Upton, NY",
	"AKQ"=>"Wakefield, VA",
	"ILM"=>"Wilmington, NC"
*/
$leftMargin = 60; // Set left margin of text output here
// New with version 20180306
$color = "darkmagenta"; // Color for dropdown disabled state names with subordinate entries
$siteOrder = false; // Order by site (true) or state (false)
/***************************** End Settings *******************************/
$wfo = strtoupper($wfo);
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	function showRoundupjs(wfo,divWidth,leftMargin,color,siteOrder) { 
		$('#showRoundup').load('inc-roundup-by-site.php',{wfo:wfo,divWidth:divWidth,leftMargin:leftMargin,color:color,siteOrder:siteOrder});
	}
}
</script>
<style type="text/css">
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
############################################################################
if ( !$standAlone ) {
	include("header.php");
	include("menubar.php");
}
############################################################################
?>
<?php if (isset($_SESSION['CSSwidescreen'])) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114)' : $divWidth) ?>px; border:inset; background-color:#FFF">
<?php } else { ?>
	<div id="main-copy" style="width:100%; background-color:#FFF">
<?php }	?>
	<div style="width:<?php echo $divWidth?>">
	<br/>
  <h2 align="center">NOAA NWS Hourly Roundups by Site</h2>
	<?php 
    $doIncludeFD = true;
		include("inc-roundup-by-site.php");
	?>
	<p align="center" style="line-height:140%; font-size:9px">Products Courtesy of <a href="https://forecast.weather.gov/product_types.php?site=NWS" target="_blank" title="New Tab">NOAA-NWS</a><br/>NWS Information Parsing Script by Ken True at <a href="https://www.saratoga-weather.org" target="_blank" title="New Tab">Saratoga Weather</a> - Script by <a href="https://gwwilkins.org" target="_blank" title="New Tab">SE Lincoln Weather</a>.<br/></p>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
	include("footer.php");
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>